diff -U 3 -H -d -r -N -- a/debian/changelog b/debian/changelog
--- a/debian/changelog	2012-04-17 07:57:50.000000000 +0200
+++ b/debian/changelog	2012-07-28 12:02:42.000000000 +0200
@@ -1,3 +1,9 @@
+kadu (0.12.0-1) unstable; urgency=low
+
+  * New upstream release
+
+ -- Piotr Dąbrowski <ultr@ultr.pl>  Sat, 28 Jul 2012 12:01:38 +0200
+
 kadu (0.11.2-1) unstable; urgency=low
 
   * New upstream release
diff -U 3 -H -d -r -N -- a/debian/control b/debian/control
--- a/debian/control	2012-04-17 07:57:50.000000000 +0200
+++ b/debian/control	2012-07-28 13:31:59.000000000 +0200
@@ -14,7 +14,6 @@
                libdbus-1-dev,
                libgadu-dev,
                libidn11-dev,
-               libindicate-qt-dev,
                libmpdclient-dev,
                libphonon-dev,
                libqca2-dev,
diff -U 3 -H -d -r -N -- a/debian/kadu-common.install b/debian/kadu-common.install
--- a/debian/kadu-common.install	2012-04-17 07:57:50.000000000 +0200
+++ b/debian/kadu-common.install	2012-07-28 14:14:22.000000000 +0200
@@ -1,5 +1,4 @@
 debian/tmp/usr/share/icons
-debian/tmp/usr/share/indicators/messages/applications/kadu
 debian/tmp/usr/share/kadu/configuration/dialog-look-chat-advanced.ui
 debian/tmp/usr/share/kadu/configuration/dialog.ui
 debian/tmp/usr/share/kadu/plugins/antistring.desc
@@ -66,7 +65,6 @@
 debian/tmp/usr/share/kadu/plugins/history_migration.desc
 debian/tmp/usr/share/kadu/plugins/idle.desc
 debian/tmp/usr/share/kadu/plugins/imagelink.desc
-debian/tmp/usr/share/kadu/plugins/indicator_docking.desc
 debian/tmp/usr/share/kadu/plugins/jabber_protocol.desc
 debian/tmp/usr/share/kadu/plugins/last_seen.desc
 debian/tmp/usr/share/kadu/plugins/mediaplayer.desc
diff -U 3 -H -d -r -N -- a/debian/kadu-dev.install b/debian/kadu-dev.install
--- a/debian/kadu-dev.install	2012-04-17 07:57:50.000000000 +0200
+++ b/debian/kadu-dev.install	2012-07-28 14:50:52.000000000 +0200
@@ -1,3 +1,3 @@
 debian/tmp/usr/include/kadu
 debian/tmp/usr/share/cmake-2.8/Modules/FindKadu.cmake
-debian/tmp/usr/share/kadu/plugins/sdk/
+debian/tmp/usr/sdk/
diff -U 3 -H -d -r -N -- a/debian/kadu.install b/debian/kadu.install
--- a/debian/kadu.install	2012-04-17 07:57:50.000000000 +0200
+++ b/debian/kadu.install	2012-07-28 13:06:00.000000000 +0200
@@ -25,7 +25,6 @@
 debian/tmp/usr/lib/kadu/plugins/libhistory_migration.so
 debian/tmp/usr/lib/kadu/plugins/libidle.so
 debian/tmp/usr/lib/kadu/plugins/libimagelink.so
-debian/tmp/usr/lib/kadu/plugins/libindicator_docking.so
 debian/tmp/usr/lib/kadu/plugins/libjabber_protocol.so
 debian/tmp/usr/lib/kadu/plugins/liblast_seen.so
 debian/tmp/usr/lib/kadu/plugins/libmediaplayer.so
diff -U 3 -H -d -r -N -- a/debian/patches/02-external-plugins.patch b/debian/patches/02-external-plugins.patch
--- a/debian/patches/02-external-plugins.patch	2012-04-17 07:57:50.000000000 +0200
+++ b/debian/patches/02-external-plugins.patch	2012-07-28 12:12:16.000000000 +0200
@@ -24,9 +24,9 @@
 +        # Adds global hotkeys support to Kadu
 +        globalhotkeys
 +
-+    # importhistory
++    # import_history
 +        # Imports history from original Gadu-Gadu client
-+        importhistory
++        import_history
 +
 +    # kadu_completion
 +        # Adds bash-like completion to Kadu's chat window for its <...> emoticons
diff -U 3 -H -d -r -N -- a/debian/patches/03-about-dialog.patch b/debian/patches/03-about-dialog.patch
--- a/debian/patches/03-about-dialog.patch	2012-04-17 07:57:50.000000000 +0200
+++ b/debian/patches/03-about-dialog.patch	2012-07-28 11:58:49.000000000 +0200
@@ -17,7 +17,7 @@
 index 2c4d566..00c2898 100644
 --- a/kadu-core/gui/windows/about.cpp
 +++ b/kadu-core/gui/windows/about.cpp
-@@ -158,7 +158,7 @@ About::About(QWidget *parent) :
+@@ -158,7 +158,7 @@
  	tb_changelog->setOpenLinks(false);
  	tb_changelog->setFrameStyle(QFrame::NoFrame);
  	tb_changelog->viewport()->setAutoFillBackground(false);
@@ -26,14 +26,14 @@
  	changelog.replace('\n', "<br/>");
  	HtmlDocument changelog_html;
  	changelog_html.parseHtml(changelog);
-@@ -244,7 +244,10 @@ QString About::loadFile(const QString &name)
+@@ -244,7 +244,10 @@
  {
  	kdebugf();
  
--	QFile file(dataPath("kadu/" + name));
+-	QFile file(KaduPaths::instance()->dataPath() + name);
 +	QString fullName = (QString("COPYING") == name ?
-+			QString("/usr/share/common-licenses/GPL-2") :
-+			QString("/usr/share/doc/kadu/" + name));
++		QString("/usr/share/common-licenses/GPL-2") :
++		QString("/usr/share/doc/kadu/" + name));
 +	QFile file(fullName);
  	if (!file.open(QIODevice::ReadOnly))
  	{
diff -U 3 -H -d -r -N -- a/debian/patches/04-lowered_expectant_libgadu_version.patch b/debian/patches/04-lowered_expectant_libgadu_version.patch
--- a/debian/patches/04-lowered_expectant_libgadu_version.patch	2012-04-17 07:57:50.000000000 +0200
+++ b/debian/patches/04-lowered_expectant_libgadu_version.patch	1970-01-01 01:00:00.000000000 +0100
@@ -1,20 +0,0 @@
-Description: Lowered minimum libgadu version for gadu_protocol plugin
- Since 0.11.1 of libgadu is not yet released (only release candidates),
- it's not yet been uploaded to Sid. In reality 0.11.1 is not really needed by
- Kadu. But, since it introduces some new SSL related functionality in
- client-server communication, Kadu Team decided to depend on 0.11.1.
-Author: Patryk Cisek <patryk@debian.org>
----
-diff --git a/plugins/gadu_protocol/CMakeLists.txt b/plugins/gadu_protocol/CMakeLists.txt
-index ff8c80b..e651f3a 100644
---- a/plugins/gadu_protocol/CMakeLists.txt
-+++ b/plugins/gadu_protocol/CMakeLists.txt
-@@ -16,7 +16,7 @@ include (FindKadu)
- 
- include (FindPkgConfig)
- 
--set (LIBGADU_MIN_VERSION "1.11.1")
-+set (LIBGADU_MIN_VERSION "1.10.1")
- 
- kadu_api_directories (plugins/gadu_protocol
- 	dcc
diff -U 3 -H -d -r -N -- a/debian/patches/series b/debian/patches/series
--- a/debian/patches/series	2012-04-17 07:57:50.000000000 +0200
+++ b/debian/patches/series	2012-07-28 11:54:08.000000000 +0200
@@ -1,4 +1,3 @@
 01-external-themes.patch
 02-external-plugins.patch
 03-about-dialog.patch
-04-lowered_expectant_libgadu_version.patch
diff -U 3 -H -d -r -N -- a/debian/rules b/debian/rules
--- a/debian/rules	2012-04-17 07:57:50.000000000 +0200
+++ b/debian/rules	2012-07-28 13:39:57.000000000 +0200
@@ -48,7 +48,6 @@
 	# Remove all thumbnails files
 	find $(INSTALL_DIR) -name Thumbs.db -delete
 	rm -f $(INSTALL_DIR)/usr/share/kadu/themes/sounds/bns/sound.conf~
-	chmod 755 $(INSTALL_DIR)/usr/share/kadu/themes/icons/oxygen/src/rebuild-statuses.sh
 	# Move FindKadu.cmake to proper directory
 	mkdir -p $(INSTALL_DIR)/usr/share/cmake-2.8/Modules/
 	cp $(INSTALL_DIR)/usr/share/cmake/Modules/FindKadu.cmake $(INSTALL_DIR)/usr/share/cmake-2.8/Modules/
